package com.ruoyi.cs.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 单位类别对象 cs_company_class
 *
 * @author ruoyi
 * @date 2024-04-22
 */
public class CsCompanyClass extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 单位类别主键ID */
    private String companyClassId;

    /** 单位类别名 */
    @Excel(name = "单位类别名")
    private String companyClassName;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 状态：0-正常，1-隐藏 */
    @Excel(name = "状态：0-正常，1-隐藏")
    private String status;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String updateAt;

    /** 删除标记：0-正常，1-删除 */
    private String delFlag;

    public void setCompanyClassId(String companyClassId)
    {
        this.companyClassId = companyClassId;
    }

    public String getCompanyClassId()
    {
        return companyClassId;
    }
    public void setCompanyClassName(String companyClassName)
    {
        this.companyClassName = companyClassName;
    }

    public String getCompanyClassName()
    {
        return companyClassName;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setSort(Integer sort)
    {
        this.sort = sort;
    }

    public Integer getSort()
    {
        return sort;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("companyClassId", getCompanyClassId())
            .append("companyClassName", getCompanyClassName())
            .append("content", getContent())
            .append("status", getStatus())
            .append("sort", getSort())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
